org.modeshape.jboss.subsystem

## Interface MappedAttributeDefinition

- All Known Implementing Classes:
    MappedListAttributeDefinition, MappedSimpleAttributeDefinition

      public interface MappedAttributeDefinition

  An `AttributeDefinition` that is mapped directly to a field within a `RepositoryConfiguration`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()` Get the name of the mapped field in the `RepositoryConfiguration`.
    `List<String>` | `getPathToContainerOfField()` Get the path to the field that contains the mapped field within the `RepositoryConfiguration`.
    `List<String>` | `getPathToField()` Get the path to the field within the `RepositoryConfiguration`.
    `Object` | `getTypedValue(org.jboss.dmr.ModelNode node)` Obtain from the supplied model node value the value that can be used in the RepositoryConfiguration field.

- - ### Method Detail

    - #### getPathToField

          List<String> getPathToField()

      Get the path to the field within the `RepositoryConfiguration`.
      Returns:
        the path; never null and never empty

    - #### getPathToContainerOfField

          List<String> getPathToContainerOfField()

      Get the path to the field that contains the mapped field within the `RepositoryConfiguration`.
      Returns:
        the parent path; never null but possibly empty if the mapped field is at the top-level of the configuration document

    - #### getFieldName

          String getFieldName()

      Get the name of the mapped field in the `RepositoryConfiguration`.
      Returns:
        the field name; never null

    - #### getTypedValue

          Object getTypedValue(org.jboss.dmr.ModelNode node)
                               throws org.jboss.as.controller.OperationFailedException

      Obtain from the supplied model node value the value that can be used in the RepositoryConfiguration field.
      Parameters:
        `node` - the model node value
      Returns:
        the field value
      Throws:
        `org.jboss.as.controller.OperationFailedException` - if there was an error obtaining the value from the model node

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.